# [TouchOSC](hexler.net/software/touchosc) layouts
by [Omega9](https://omega9.web.app/)

**ReaperRecorder** is based on [TouchReaper](forum.cockos.com/showpost.php?s=764669ee8aaa672e21baf215bc17aadd&p=923046&postcount=9) layout.
It's much simpler and intended to use as a remote control for a record time rather than mixer.

Place *ReaperRecorder.ReaperOSC* to `C:/Users/[username]/Application Data/REAPER/OSC/`

ReaperRecorder.touchosc
ReaperRecorderH.touchosc
ReaperRecorder.ReaperOSC
![](/TouchOSC/screenshots/ReaperRecorder.png)
![](/TouchOSC/screenshots/ReaperRecorderH.png)
---

Simple [17-edo](https://en.xen.wiki/w/17edo)  Halberstadt keyboard.
The higher and the lower version.

17-edo keyboard.touchosc
17-edo keyboard lo.touchosc
![](/TouchOSC/screenshots/17-edo_keyboard.png)
---

Simple [19-edo]([xenharmonic.wikispaces.com/19edo](https://en.xen.wiki/w/19-edo)) Halberstadt keyboard.
The higher and the lower version.

19-edo keyboard.touchosc
19-edo keyboard lo.touchosc
![](/TouchOSC/screenshots/19-edo_keyboard.png)
---

Joseph Yasser's 19-edo 12-7 ([supradiatonic](https://en.xen.wiki/w/19edo#As_a_means_of_extending_harmony) and diatonic) keyboard.
The higher and the lower version.

Yasser's 19-edo keyboard-hi.touchosc
Yasser's 19-edo keyboard-lo.touchosc
![](/TouchOSC/screenshots/Yasser's_19-edo_keyboard_1.png)
![](/TouchOSC/screenshots/Yasser's_19-edo_keyboard_2.png)
---

"[Symmetric](www.youtube.com/watch?v=dGUD58gp6Fk)" or "balanced" 6-6 keyboard.
The higher and the lower version.

[www.balanced-keyboard.com/PeopleAndResources.aspx](www.balanced-keyboard.com/PeopleAndResources.aspx)
[www.migo.info/music/bilinear_chromatic_keyboard.xhtml_en.html](www.migo.info/music/bilinear_chromatic_keyboard.xhtml_en.html)

Balanced Keyboard.touchosc
Balanced Keyboard lo.touchosc
![](/TouchOSC/screenshots/Balanced_Keyboard.png)
---

Various layouts

Lattice (12-edo).touchosc
Padboard-lo-h.touchosc
Padboard-mid-h.touchosc
![](/TouchOSC/screenshots/Padboard1.png)
![](/TouchOSC/screenshots/Padboard2.png)
---

TODO:
XYpad.touchosc
Y-position velocity keyboard.touchosc